Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Should have
Author: Rens Admiraal Category:
Created: 2012-01-06 Assigned To:
Updated: 2014-11-02 Due date:
Subject: Editing of HTML elements with javascript causes problems
Description

When an HTML element with inline javascript is edited this fails because the script is executed. We should come up with some kind of
concept for this.

Related issues:
related to TYPO3.Neos - Bug # 52387: Inconsistent Handling of HTML-Tags in HT... Resolved 2013-09-30

Associated revisions
Revision 0ad32818 - 2013-10-01 16:09 - Christoph Dähne 

[BUGFIX] HTML editor should be able to edit inline JavaScript

    -  shows inline java script correctly in html editor
    -  inline java script is executed exactly once on apply
    -  html added in inline editing is escaped
Think about:
    -  if inline java script is broken, it breaks the backend

Change-Id: Ie037243bf69576a2d9ce6b5aac32847c761b1aa9
Resolves: #33010, #52387
Reviewed-on: https://review.typo3.org/24168
Reviewed-by: Jacob Floyd
Tested-by: Jacob Floyd
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

History
#1 - 2012-07-13 16:54 - Karsten Dambekalns
- Project changed from Base Distribution to TYPO3.Neos

#2 - 2012-08-27 08:39 - Adrian Föder
- File inlineJSatHTML.png added

ah, maybe that's the issue I had... I have inline JS; and as soon as clicking the "HTML Editor" button on the right, the editor opens obviously empty,
creating such an (empty) popup:

 1<div id="" class="popover t3-popover-fixed t3-ui active" style="top: 18px; left: 527px; position: fixed; z-index: 10090; display: block;">
 2    <div class="triangle left" style="top: 138px;"/>
 3    <div class="header">
 4        <div>HTML Editor</div>
 5    </div>
 6    <div class="content">
 7        <div class="aloha-block-do-not-deactivate t3-htmleditor-window"></div>
 8    </div>
 9</div>
10

At the same time, I get an JavaScript error "syntax error" ]]> at CSS.js line 182 (see attached file).

Maybe a protective invocation wrapper can be applied to inline JS functions, being only executed when NOT in that HTML editor context...

#3 - 2013-04-10 21:05 - Aske Ertmann
- Parent task set to #45020

#4 - 2013-09-30 15:29 - Christoph Dähne

Html-Editing has some more corner-cases regarding JavaScript:

    -  JavaScript executed if HTML-Editor opened (already mentioned above)
    -  Sometimes content not displayed in editor (or only partially)
    -  Same display-behavior in content area

#5 - 2013-09-30 15:41 - Christoph Dähne

Also JavaScript should not be executed on Apply (before it is executed during the reload of the content area).

#6 - 2013-09-30 15:53 - Christoph Dähne

And the Cursor shall not be black.

#7 - 2013-09-30 17:04 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24163

#8 - 2013-09-30 17:53 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24168

#9 - 2013-09-30 17:54 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24168
#10 - 2013-09-30 19:04 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24168

#11 - 2013-09-30 19:28 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24168

#12 - 2013-09-30 19:35 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24168

#13 - 2013-10-01 00:19 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24168

#14 - 2013-10-01 16:35 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0ad328185f2c6c02278fddb257315e5758925703.

#15 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Resolved to Closed

Files
inlineJSatHTML.png 48.6 kB 2012-08-27 Adrian Föder
